<?php
function blogery_homepage_setting( $wp_customize ) {

class Blogery_Category_slider_Dropdown_Custom_Control extends WP_Customize_Control
 {
    private $cats = false;

    public function __construct($manager, $id, $args = array(), $options = array())
    {
        $this->cats = get_categories($options);

        parent::__construct( $manager, $id, $args );
    }

    /**
     * Render the content of the category dropdown
     *
     * @return HTML
     */
    public function render_content()
       {
            if(!empty($this->cats))
            {
                ?>
                    <label>
                      <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
                      <p><select multiple <?php $this->link(); ?>>
                           <?php
                                foreach ( $this->cats as $cat )
                                {
                                    printf('<option value="%s" %s>%s</option>', $cat->term_id, selected($this->value(), $cat->term_id, false), $cat->name);
                                    
                                    
                                }
                           ?>
                      </select>
                      </p>
                    </label>
                <?php
            }
       }
 }
	

	$wp_customize->add_section(
        'blogery_home_page_settings', array(
        'title' => __('Home Slider','blogery'),
		'priority'       => 25,
        'description' => '',
    ));

//Slider post Enable / Disable setting
    $wp_customize->add_setting(
        'ferry_slider_post_enable', array(
        'default' => 'true',
        'capability' => 'edit_theme_options',
    ) );
    $wp_customize->add_control(
        'ferry_slider_post_enable', array(
        'label' => __('Enable/Disable Slider category Post', 'blogery'),
        'section' => 'blogery_home_page_settings',
        'type' => 'radio',
        'choices'=>array('true'=>'On','false'=>'Off'),
    ) );
	
	
	/* Slider Category*/
	$wp_customize->add_setting( 'slider_category' , array(
	 'capability'     => 'edit_theme_options',
	));
	
	$wp_customize->add_control(  new Blogery_Category_slider_Dropdown_Custom_Control( $wp_customize,'slider_category' , array(
	'label' => __('Slider Category','blogery'),
	'section' => 'blogery_home_page_settings',
	'settings' => 'slider_category',
	) ) );
}
add_action( 'customize_register', 'blogery_homepage_setting' );
?>